# $Revision: 1.30 $, $Date: 2002/05/21 23:48:31 $
Summary:	A utility for automatically generating glue code to export C libraries to Guile Scheme and RScheme
Summary(pl):	Narzdzie do eksportowania bibliotek C do interpreterw Scheme
Summary(pt_BR):	Um utilitrio para gerao automtica de cdigo para exportar bibliotecas C para guile scheme e rscheme
Name:		g-wrap
Version:	1.2.1
Release:	2
Epoch:		2
License:	GPL
Group:		Libraries
Source0:	http://www.gnucash.org/pub/g-wrap/source/%{name}-%{version}.tar.gz
Patch0:		%{name}-info.patch
Patch1:		%{name}-ac_am_cflags.patch
BuildRequires:	guile-devel >= 1.4.1
BuildRequires:	texinfo
BuildRequires:	slib
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a tool for specifying types, functions, and constants to
import into a Scheme interpreter, and for generating code (in C) to
interface these to the Guile and RScheme interpreters in particular.

%description -l pl
To jest narzdzie do specyfikowania typw, funkcji i staych dla
interpretera Scheme i generowania kodu (w C) do udostpnienia ich dla
interpreterw Guile i RScheme.

%description -l pt_BR
O g-wrap  uma ferramenta para especificar tipos, funes e constantes
para importao em um interpretador scheme e para gerao de cdigo em
C para fazer a interface com os interpretadores guile e rscheme.

%package devel
Summary:	Headers for developing programs using g-wrap
Summary(pl):	Pliki nagwkowe do rozwijnia programw z uyciem g-wrap
Summary(pt_BR):	Arquivos de incluso e bibliotecas para o g-wrap
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description devel
headers for developing programs using g-wrap.

%description devel -l pl
Pliki nagwkowe do rozwijania programw z uyciem g-wrap.

%description devel -l pt_BR
Arquivos de inclusao e bibliotecas para o g-wrap.

%package static
Summary:	Static libraries for developing programs using g-wrap
Summary(pl):	Biblioteki statyczne g-wrap
Summary(pt_BR):	Bibliotecas estticas para desenvolvimento com g-wrap
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
Static libraries for developing programs using g-wrap.

%description static -l pl
Statyczne biblioteki g-wrap.

%description static -l pt_BR
Bibliotecas estticas para desenvolvimento com a biblioteca g-wrap.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
libtoolize -c -f
aclocal
%{__autoconf}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

gzip -9nf NEWS README ChangeLog

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%post devel
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%postun devel
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so.*.*
%attr(755,root,root) %{_libdir}/lib*.la
%attr(755,root,root) %{_datadir}/guile/g-wrapped/lib*.so.*
%attr(755,root,root) %{_datadir}/guile/g-wrapped/lib*.la
%{_datadir}/guile/g-wrap
%{_datadir}/guile/g-wrap.scm
%{_datadir}/guile/g-wrapped/*.scm

%files devel
%defattr(644,root,root,755)
%doc *.gz
%attr(755,root,root) %{_bindir}/g-wrap-config
%attr(755,root,root) %{_libdir}/lib*.so
%attr(755,root,root) %{_datadir}/guile/g-wrapped/lib*.so
%{_includedir}/*.h
%{_infodir}/*info*gz
%{_aclocaldir}/*.m4

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a
%{_datadir}/guile/g-wrapped/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: g-wrap.spec,v $
Revision 1.30  2002/05/21 23:48:31  kloczek
- release 2.

Revision 1.29  2002/05/21 23:13:03  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.28  2002/05/21 22:53:55  kloczek
- rebuild against guile >= 1.4.1.

Revision 1.27  2002/05/21 05:17:55  filon
- re-updated to 1.2.1
 (tested with guile 1.4.1 and gnucash 1.6.6, it works, and it is stale branch)
- added ac_am_cflags patch for work with gcc31 and passing our cflags
- added g-wrap.m4 to files for devel pkg

Revision 1.26  2002/04/25 16:32:31  arturs
fixed a small typo

Revision 1.25  2002/04/09 08:30:48  mkochano
- Corrected source uri.

Revision 1.24  2002/02/24 18:54:23  mkochano
- Fixed files list.

Revision 1.23  2002/02/24 18:02:57  mkochano
- Release 1 "kloczek dont touch this spec too".
- Epoch 2.
- Downgraded to 1.1.10. This last version with wich gnucash works.

Revision 1.22  2002/02/23 02:06:15  kloczek
- adapterized.

Revision 1.21  2002/02/22 23:28:55  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.20  2002/02/12 18:16:25  kloczek
- downgrade to 1.2.1,
- added werror patch.

Revision 1.19  2002/01/28 09:37:51  kloczek
- updated to 1.3.2 (new stable version),
- cosmetics.

Revision 1.18  2002/01/18 02:12:59  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.17  2002/01/05 16:55:35  blues
- URL updated
- some stollen translations (CNV)

Revision 1.16  2002/01/04 00:08:11  mkochano
- Release 5.
- No longer contain %%{_infodir}/dir.gz.

Revision 1.15  2001/11/29 15:04:05  qboosh
- adapterized, the rest of pl translations

Revision 1.14  2001/10/14 17:28:09  mkochano
- Release 4.
- *.la files moved to main package. Now gnucash can be run without
  g-wrap-devel package.

Revision 1.13  2001/08/12 10:59:31  blues
- release 3
- configure2_13

Revision 1.12  2001/07/26 05:42:07  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.10  2001/05/29 08:20:16  kura
- release 2
- added missing g-wrapped directory (gnucash should compile now)

Revision 1.9  2001/05/17 10:38:06  kura
- updated to 1.1.10
- added slib to buildrequires

Revision 1.8  2000/10/29 08:13:12  kloczek
- added info patch (with now g-wrap will be reachable by info index in
  "Programming tools" group); also added texinfo to BuildRequires,
- use new rpm automation.

Revision 1.7  2000/10/28 18:29:23  bszx
- update to 0.9.6
- use new rpm automation

Revision 1.6  2000/08/25 20:12:49  bszx
 - upgrade to 0.9.5

Revision 1.5  2000/07/14 00:05:40  kloczek
- release 2,
- rebuild against guile 1.4.

Revision 1.4  2000/06/09 07:54:40  kloczek
- more %%{__make} macros.

Revision 1.3  2000/06/09 07:22:50  kloczek
- added using %%{__make} macro.

Revision 1.2  2000/06/05 03:39:57  kloczek
- spec adapterized,
- pass LDFLAGS="-s" to ./configure enviroment in %build instead strip
  in %install,
- switch from guile to guile-devel in BuildRequires.

Revision 1.1  2000/06/04 11:16:03  bszx
initialization of spec file.
